<?php
//create new class-object
$lslObj = new La_Strada_Loader();
?>
<div class="wrap pc-wrap">
	<div class="mpiicon icon32"></div>
	<h2><?php _e('La Strada Loader '.mpi_get_version().'','mpi') ?></h2>

	<?php
	if (!current_user_can('edit_plugins')) { 
		_e('You do not have sufficient permissions to manage plugins on this blog.<br>','mpi');
		return;
	} ?>
	<div id="mpiblock">
		<div><?php if($lslObj->mpi_app_DirTesting()){} else{ _e('<div class="mpi_error">oops!!! Seems like the directory permission are not set right so some functionalities of plugin will not work.<br/>Please set the directory permission for the folder "uploads" inside "wp-content" directory to 777.</div>','mpi'); } ?></div>
		<?php
		//starting install
		if( isset($_POST['lsl_install']) ) {
			$lslObj->lsl_install();
		}
		print_r(get_option('active_theme'));
		//get current configuration
		//$lsl_config_data = isset($_POST['lsl_config_data']) ? $lslObj->stripslashes_deep($_POST['lsl_config_data']) : $lslObj->lsl_get_config_data();
		$lsl_config_data = $lslObj->lsl_get_config_data();
		?>
		<form name="form_apu" method="post" action="">
			<?php wp_nonce_field($lslObj->key); ?>			

			<!-- Configuration choosing -->
			<div id="poststuff" class="mpi-meta-box">
				<div class="postbox">
					<div class="handlediv" title="Click to toggle"><br/></div>
					<h3 class="hndle"><span>La Strada Configuration</span></h3>
					<div class="inside">
						<p style="float:left;">
							<b><?php _e('Current configuration:','mpi'); ?> "<?php echo $lsl_config_data['CONFIG_NAME']; ?>".</b>
						</p>
						<p style="float:right;"><?php _e('Available configurations:','mpi'); ?>
							<select name="lsl_config_data[confID]" id="lsl_conf_id">
								<?php foreach ($lslObj->lsl_get_config_files() as $key => $config) {
									echo "<option value=$key>". $config['name']. "</option>";
								} ?>								
							</select>
						</p>
						<div class="mpi_clear"></div>
					</div>
				</div>
			</div>
			
			<!-- Install Plugins From Wordpress Site -->
			<div id="poststuff" class="mpi-meta-box">
				<div class="postbox">
					<div class="handlediv" title="Click to toggle"><br/></div>
					<h3 class="hndle"><span><?php _e('Plugins', 'mpi'); ?></span></h3>
					<div class="inside">
						<?php
						$lsl_plugin_list = implode( '&#13;', array_keys( $lsl_config_data['plugins'] ) );
						?>
						<table border="0">
							<tr>
								<td><b>Plugins</b>:<br /><small>One slug per line</small> </td>
								<td><textarea name="mpi_wplists" id="mpi_wplists" cols="40" rows="5"><?php echo $lsl_plugin_list; ?></textarea></td>
							</tr>
							<tr>
								<td colspan="2"><h4>Plugins configuration</h4></td>
							</tr>							
							<?php foreach ($lsl_config_data['plugins'] as $key => $value) {
								$value = var_export($value, true);
								?>
								<tr>
									<td><b><?php echo $key; ?></b>: </td>
									<td><textarea name="lsl_config_data[plugins][<?php echo $key; ?>]" id="" cols="40" rows="5"><?php echo htmlentities($value); ?></textarea></td>
								</tr>
							<?php } ?>
						</table>				
					</div>
				</div>		
			</div>
			<!-- //Install Plugins From Wordpress Site -->
	
			<!-- Wordpress Settings -->
			<div id="poststuff" class="mpi-meta-box">
				<div class="postbox">
					<div class="handlediv" title="Click to toggle"><br/></div>
					<h3 class="hndle"><span><?php _e('Wordpress Settings', 'mpi'); ?></span></h3>					
					<div class="inside">
						<table border="0">							
							<?php					
							foreach ( $lsl_config_data['options'] as $key => $value ) {
								if ( ! empty($value) ) { ?>
									<tr>
										<td><b><?php echo $key; ?>: </b></td>
										<td><input type="text" name="lsl_config_data[options][<?php echo $key; ?>]" value="<?php echo htmlentities($value); ?>" style="width:100%;" /></td>
									</tr>
								<?php }
							}
							if ( ! empty($lsl_config_data['permalink']) ) { ?>
								<tr>
									<td><b><?php _e('Permalink:','mpi'); ?></b> </td>
									<td><input type="text"name="lsl_config_data[permalink]" value="<?php echo $lsl_config_data['permalink'] ?>" title="<?php _e('seperated by comma.','mpi'); ?>" style="width:100%;" /></td>
								</tr>
							<?php } 
							if ( ! empty($lsl_config_data['categories']) ) { ?>
								<tr>
									<td><b><?php _e('Wordpress Categories:','mpi'); ?></b> </td>
									<td><input type="text"name="lsl_config_data[categories]" value="<?php echo implode(',', $lsl_config_data['categories']); ?>" title="<?php _e('seperated by comma.','mpi'); ?>" style="width:100%;" /></td>
								</tr>
							<?php } 
							if ( ! empty($lsl_config_data['pages']) ) { ?>

								<tr>
									<td colspan="2"><h4 class="hndle"><?php _e('Wordpress Pages', 'mpi'); ?></h4></td>
								</tr>
								<tr>
									<td><b>Content:</b></td>
									<td><b>Titel:</b></td>
								</tr>
								
								<?php foreach ( $lsl_config_data['pages'] as $key => $value ) { ?>
									<tr>		
										<td>
											<input type="text" name="lsl_config_data[pages][<?php echo $key; ?>][title]" value="<?php echo $value['title']; ?>" title="" />
										</td>
										<td>
											<textarea name="lsl_config_data[pages][<?php echo $key; ?>][content]" id="" cols="40" rows="2"><?php echo $value['content']; ?></textarea>
										</td>
									</tr>
								<?php }
							} ?>														
						</table>						
					</div>
				</div>
			</div>

			<!-- Design-Settings -->
			<div id="poststuff" class="mpi-meta-box">
				<div class="postbox">
					<div class="handlediv" title="Click to toggle"><br/></div>
					<h3 class="hndle"><span>Design Settings</span></h3>
					<div class="inside">
						<table border="0">
							<?php 
							if ( ! empty($lsl_config_data['theme']) ) { ?>
								<tr>
									<td><b>Theme:</b> </td>
									<td><input type="text" name="lsl_config_data[theme]" value="<?php echo $lsl_config_data['theme']; ?>" title="" /></td>
								</tr>
							<?php }
							if ( ! empty($lsl_config_data['menus']) ) { ?>
								<tr>
									<td colspan="2"><h4>Additional mainmenu items <small>(pages get automatically added)</small></h4></td>
								</tr>
								
									<?php foreach ( $lsl_config_data['menus'] as $key => $value ) { ?>
										<tr>		
											<td>
												Menu-Title:<br />
												<input type="text" name="lsl_config_data[menus][<?php echo $key; ?>][title]" value="<?php echo $value['title']; ?>" title="" />
											</td>
											<td>
												URL:<br />
												<input type="text" name="lsl_config_data[menus][<?php echo $key; ?>][url]" value="<?php echo $value['url']; ?>" />
											</td>
										</tr>
									<?php } ?>
								
							<?php }
							if ( ! empty($lsl_config_data['text_widgets']) ) { ?>
								<tr>
									<td colspan="2"><h4>Text-Widgets</h4></td>
								</tr>
								
									<?php foreach ( $lsl_config_data['text_widgets'] as $key => $value ) { ?>
										<tr>		
											<td>
												Title:<br />
												<input type="text" name="lsl_config_data[text_widgets][<?php echo $key; ?>][title]" value="<?php echo $value['title']; ?>" /><br />
												<small>ID: text-<?php echo ($key+2); ?></small>
											</td>
											<td>
												Content:<br />
												<textarea name="lsl_config_data[text_widgets][<?php echo $key; ?>][content]" id="" cols="40" rows="2"><?php echo $value['content']; ?></textarea>
											</td>
										</tr>
									<?php } ?>
								
							<?php }
							if ( ! empty($lsl_config_data['sidebars']) ) { ?>
								<tr>
									<td colspan="2"><h4>Sidebar-Widgets <small>(some plugins automatically will also add some widgets)</small></h4></td>
								</tr>
								
									<?php foreach ( $lsl_config_data['sidebars'] as $key => $value ) { 
										$value = var_export($value, true); ?>
										<tr>		
											<td>
												<b>Sidebar <?php echo $key; ?>: </b>
											</td>
											<td>
												<textarea name="lsl_config_data[sidebars][<?php echo $key; ?>]" id="" cols="40" rows="4"><?php echo htmlentities($value); ?></textarea>
											</td>
										</tr>
									<?php } ?>
								
							<?php } ?>
						</table>
					</div>
				</div>
			</div>			


			<br /><div>
				<input style="float:left;" class="button button-primary mpi_button" type="submit" name="lsl_install" value="<?php _e('Install La Strada','mpi'); ?>" />
				<div class="mpi_clear"></div>
			</div>			

		</form>
	
	</div>
</div>
